Bug 821785 - pspp: Gnulib bundled but no bundled(gnulib) provides
pspp: Gnulib bundled but no bundled(gnulib) provides
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pspp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:57 EDT by Mikolaj Izdebski
Modified: 2013-03-05 18:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-05 18:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-15 09:57:29 EDT
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
pspp. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected pspp version: pspp-0.7.9-2.fc18

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
pspp.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    pspp-0.7.9.tar.gz

At least the following files look like Gnulib files:
    ./pspp-0.7.9/gl/m4/00gnulib.m4
    ./pspp-0.7.9/src/ui/gui/automake.mk
    ./pspp-0.7.9/Makefile.in
    ./pspp-0.7.9/gl/unictype/ctype_print.h
    ./pspp-0.7.9/gl/unictype/pr_id_continue.h
    ./pspp-0.7.9/gl/unictype/pr_id_start.h
    ./pspp-0.7.9/gl/unilbrk/lbrkprop1.h
    ./pspp-0.7.9/gl/unilbrk/lbrkprop2.h
    ./pspp-0.7.9/gl/Makefile.in
    ./pspp-0.7.9/gl/Makefile.am
    ./pspp-0.7.9/gl/m4/gnulib-comp.m4
    ./pspp-0.7.9/gl/unigbrk/gbrkprop.h

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Fedora Update System 2013-02-24 14:53:41 EST
pspp-0.7.9-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pspp-0.7.9-5.fc17
Comment 2 Fedora Update System 2013-02-24 14:54:07 EST
pspp-0.7.9-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pspp-0.7.9-5.fc18
Comment 3 Fedora Update System 2013-02-25 21:28:36 EST
Package pspp-0.7.9-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pspp-0.7.9-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3010/pspp-0.7.9-5.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-03-05 18:23:52 EST
pspp-0.7.9-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-03-05 18:33:08 EST
pspp-0.7.9-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.